/* fileio.h
 */


#ifndef HAVE_FILEIO_H
#define HAVE_FILEIO_H


File*       fileio_load (const gchar *fname, GError **err);

gboolean    fileio_save (Ignuit *ig, const gchar *fname, GError **err);

File*       fileio_import_sv (const gchar *fname,
                const gchar *sep, GError **err);

File*       fileio_import (Ignuit *ig, const gchar *fname,
                const gchar *filter, GError **err);

gboolean    fileio_export_sv (File *f, const gchar *fname,
                const gchar *sep, GError **err);

gboolean    fileio_export (Ignuit *ig, const gchar *fname,
                const gchar *filter, GError **err);


#endif /* HAVE_FILEIO_H */

